%define upstream_name    Net-BitTorrent
%define upstream_version 0.052

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Single HTTP BitTorrent Tracker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Because of the problems coordinating revision numbers in a distributed
version control system and across a directory full of Perl modules, this
module provides a central location for the project's overall release
number, the version string provided in Extended Protocol handshakes, and
the Peer ID generator.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/net-bittorrent.pl
/usr/share/man/man1/net-bittorrent.pl.1.xz



%changelog

* Mon Mar 18 2013 jquelin <jquelin> 0.52.0-6.mga3
+ Revision: 403825
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.52.0-5.mga3
+ Revision: 370503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.52.0-4.mga3
+ Revision: 315037
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.52.0-3.mga3
+ Revision: 283561
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.52.0-2.mga3
+ Revision: 254309
- rebuild to fix new shebang with perl 5.16

* Sat Dec 03 2011 kharec <kharec> 0.52.0-1.mga2
+ Revision: 175361
- imported package perl-Net-BitTorrent


* Sat Dec 03 2011 cpan2dist 0.052-1mga
- initial mageia release, generated with cpan2dist
